> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qanapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Decrypt data



## OpenAPI

````yaml /openapi/v3.yaml post /encryption/{proxy}/decrypt
openapi: 3.0.0
info:
  title: Qanapi API v3
  version: 3.0.0
  description: Qanapi API version 3
servers:
  - url: https://{subdomain}.qanapi.cloud/api/v3
    description: The Qanapi API server
    variables:
      subdomain:
        default: ''
        description: Customer-specific subdomain.
security:
  - ApiKey: []
paths:
  /encryption/{proxy}/decrypt:
    post:
      summary: Decrypt data
      parameters:
        - name: proxy
          in: path
          required: true
          schema:
            type: string
          description: The proxy slug of the encryption configuration.
        - name: x-qanapi-fields
          in: header
          required: false
          schema:
            type: string
          description: >-
            Comma separated list of fields to decrypt.  You can use dot notation
            to access nested fields.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              description: >-
                A JSON object to decrypt fields on.  A maximum depth of 32 is
                allowed.
              additionalProperties: true
            example:
              name: John Smith
              email: john@example.com
              ssn: >-
                qanapi:MQ:MDFreWVwc2hkMjE2d2N2dHlyZ3NtbXR0M2M:Un9XLlZVXEhQVK/+MiOAiw:$
              dob: >-
                qanapi:MQ:MDFreWVwc2hkOTUwMTkwejUya3I5eHM4OGI:F9ArUSbZ9qrfjX7zN+Fk/Q:$
              address: 123 Main St
      responses:
        '200':
          description: Decrypted data
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                name: John Smith
                email: john@example.com
                ssn: 123-45-6789
                dob: '1980-01-01'
                address: 123 Main St
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            generic:
              value:
                message: Bad request.
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            message: Unauthorized.
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            message: User does not have the right permissions.
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            message: Resource not found.
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            message: An unexpected error occurred.
  schemas:
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          example: An error occurred.
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-Qanapi-Authorization

````